Echo Off
   C:
   CD\SF
   IF EXIST SFDOORS.DAT DEL SFDOORS.DAT
   IF EXIST SFMAIN.DAT DEL SFMAIN.DAT
   IF EXIST SFFILE.DAT DEL SFFILE.DAT
   IF EXIST SFMESS.DAT DEL SFMESS.DAT
:LOOP
   C:
   CD\SF
   Echo Booting SPITFIRE Bulletin Board System
   SPITFIRE /C1
   IF ERRORLEVEL 58 GOTO LOOP
   IF ERRORLEVEL 57 GOTO DOOR_Z
   IF ERRORLEVEL 56 GOTO DOOR_Y
   IF ERRORLEVEL 55 GOTO DOOR_X
   IF ERRORLEVEL 54 GOTO DOOR_W
   IF ERRORLEVEL 53 GOTO DOOR_V
   IF ERRORLEVEL 52 GOTO DOOR_U
   IF ERRORLEVEL 51 GOTO DOOR_T
   IF ERRORLEVEL 50 GOTO DOOR_S
   IF ERRORLEVEL 49 GOTO DOOR_R
   IF ERRORLEVEL 48 GOTO DOOR_P
   IF ERRORLEVEL 47 GOTO DOOR_O
   IF ERRORLEVEL 46 GOTO DOOR_N
   IF ERRORLEVEL 45 GOTO DOOR_M
   IF ERRORLEVEL 44 GOTO DOOR_L
   IF ERRORLEVEL 43 GOTO DOOR_K
   IF ERRORLEVEL 42 GOTO DOOR_J
   IF ERRORLEVEL 41 GOTO DOOR_I
   IF ERRORLEVEL 40 GOTO DOOR_H
   IF ERRORLEVEL 39 GOTO DOOR_F
   IF ERRORLEVEL 38 GOTO DOOR_E
   IF ERRORLEVEL 37 GOTO DOOR_D
   IF ERRORLEVEL 36 GOTO DOOR_C
   IF ERRORLEVEL 35 GOTO DOOR_B
   IF ERRORLEVEL 34 GOTO DOOR_A
   IF ERRORLEVEL 33 GOTO EVENT_L
   IF ERRORLEVEL 32 GOTO EVENT_K
   IF ERRORLEVEL 31 GOTO EVENT_J
   IF ERRORLEVEL 30 GOTO EVENT_I
   IF ERRORLEVEL 29 GOTO EVENT_H
   IF ERRORLEVEL 28 GOTO EVENT_G
   IF ERRORLEVEL 27 GOTO EVENT_F
   IF ERRORLEVEL 26 GOTO EVENT_E
   IF ERRORLEVEL 25 GOTO EVENT_D
   IF ERRORLEVEL 24 GOTO EVENT_C
   IF ERRORLEVEL 23 GOTO EVENT_B
   IF ERRORLEVEL 22 GOTO EVENT_A
   IF ERRORLEVEL 1 GOTO LOOP
   IF ERRORLEVEL 0 GOTO END
:DOOR_A
   REM Place Door A Commands Here
   GOTO LOOP
:DOOR_B
   REM Place Door B Commands Here
   GOTO LOOP
:DOOR_C
   REM Place Door C Commands Here
   GOTO LOOP
:DOOR_D
   REM Place Door D Commands Here
   GOTO LOOP
:DOOR_E
   REM Place Door E Commands Here
   GOTO LOOP
:DOOR_F
   REM Place Door F Commands Here
   GOTO LOOP
:DOOR_H
   REM Place Door H Commands Here
   GOTO LOOP
:DOOR_I
   REM Place Door I Commands Here
   GOTO LOOP
:DOOR_J
   REM Place Door J Commands Here
   GOTO LOOP
:DOOR_K
   REM Place Door K Commands Here
   GOTO LOOP
:DOOR_L
   REM Place Door J Commands Here
   GOTO LOOP
:DOOR_M
   REM Place Door M Commands Here
   GOTO LOOP
:DOOR_N
   REM Place Door N Commands Here
   GOTO LOOP
:DOOR_O
   REM Place Door O Commands Here
   GOTO LOOP
:DOOR_P
   REM Place Door P Commands Here
   GOTO LOOP
:DOOR_R
   REM Place Door R Commands Here
   GOTO LOOP
:DOOR_S
   REM Place Door S Commands Here
   GOTO LOOP
:DOOR_T
   REM Place Door T Commands Here
   GOTO LOOP
:DOOR_U
   REM Place Door U Commands Here
   GOTO LOOP
:DOOR_V
   REM Place Door V Commands Here
   GOTO LOOP
:DOOR_W
   REM Place Door W Commands Here
   GOTO LOOP
:DOOR_X
   REM Place Door X Commands Here
   GOTO LOOP
:DOOR_Y
   REM Place Door Y Commands Here
   GOTO LOOP
:DOOR_Z
   REM Place Door Z Commands Here
   GOTO LOOP
:EVENT_A
   REM Place Event A Commands Here
   GOTO LOOP
:EVENT_B
   REM Place Event B Commands Here
   GOTO LOOP
:EVENT_C
   REM Place Event C Commands Here
   GOTO LOOP
:EVENT_D
   REM Place Event D Commands Here
   GOTO LOOP
:EVENT_E
   REM Place Event E Commands Here
   GOTO LOOP
:EVENT_F
   REM Place Event F Commands Here
   GOTO LOOP
:EVENT_G
   REM Place Event G Commands Here
   GOTO LOOP
:EVENT_H
   REM Place Event H Commands Here
   GOTO LOOP
:EVENT_I
   REM Place Event I Commands Here
   GOTO LOOP
:EVENT_J
   REM Place Event J Commands Here
   GOTO LOOP
:EVENT_K
   REM Place Event K Commands Here
   GOTO LOOP
:EVENT_L
   REM Place Event L Commands Here
   GOTO LOOP
:END
